Bullet Collision Detection & Physics Library: btMultiBodyJacobianData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btMultiBodyJacobianData Struct Reference

`#include <btMultiBodyConstraint.h>`

Collaboration diagram for btMultiBodyJacobianData:
[legend]

## Public Attributes
btAlignedObjectArray< btScalar > | m_jacobians
btAlignedObjectArray< btScalar > | m_deltaVelocitiesUnitImpulse
btAlignedObjectArray< btScalar > | m_deltaVelocities
btAlignedObjectArray< btScalar > | scratch_r
btAlignedObjectArray< btVector3 > | scratch_v
btAlignedObjectArray< btMatrix3x3 > | scratch_m
btAlignedObjectArray< btSolverBody > * | m_solverBodyPool
int | m_fixedBodyId

## Detailed Description

Definition at line 43 of file btMultiBodyConstraint.h.

## Member Data Documentation

## ◆ m_deltaVelocities

btAlignedObjectArray<btScalar> btMultiBodyJacobianData::m_deltaVelocities

Definition at line 47 of file btMultiBodyConstraint.h.

## ◆ m_deltaVelocitiesUnitImpulse

btAlignedObjectArray<btScalar> btMultiBodyJacobianData::m_deltaVelocitiesUnitImpulse

Definition at line 46 of file btMultiBodyConstraint.h.

## ◆ m_fixedBodyId

int btMultiBodyJacobianData::m_fixedBodyId

Definition at line 52 of file btMultiBodyConstraint.h.

## ◆ m_jacobians

btAlignedObjectArray<btScalar> btMultiBodyJacobianData::m_jacobians

Definition at line 45 of file btMultiBodyConstraint.h.

## ◆ m_solverBodyPool

btAlignedObjectArray<btSolverBody>* btMultiBodyJacobianData::m_solverBodyPool

Definition at line 51 of file btMultiBodyConstraint.h.

## ◆ scratch_m

btAlignedObjectArray<btMatrix3x3> btMultiBodyJacobianData::scratch_m

Definition at line 50 of file btMultiBodyConstraint.h.

## ◆ scratch_r

btAlignedObjectArray<btScalar> btMultiBodyJacobianData::scratch_r

Definition at line 48 of file btMultiBodyConstraint.h.

## ◆ scratch_v

btAlignedObjectArray<btVector3> btMultiBodyJacobianData::scratch_v

Definition at line 49 of file btMultiBodyConstraint.h.

The documentation for this struct was generated from the following file:

- btMultiBodyConstraint.h